Bug 819844 - Review Request: luarocks - A deployment and management system for Lua modules
Review Request: luarocks - A deployment and management system for Lua modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
: 577514 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 07:31 EDT by Michel Alexandre Salim
Modified: 2012-05-28 14:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-05-08 07:31:37 EDT
Spec URL: http://salimma.fedorapeople.org/specs/funpl/luarocks.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/luarocks-2.0.8-1.fc17.src.rpm

Description:
LuaRocks allows you to install Lua modules as self-contained packages
called "rocks", which also contain version dependency
information. This information is used both during installation, so
that when one rock is requested all rocks it depends on are installed
as well, and at run time, so that when a module is required, the
correct version is loaded. LuaRocks supports both local and remote
repositories, and multiple local rocks trees.
Comment 1 Michel Alexandre Salim 2012-05-08 07:32:54 EDT
note: there's a previous, apparently abandoned review at https://bugzilla.redhat.com/show_bug.cgi?id=577514 -- will check there if the packager want to collaborate, and if not, close it as a duplicate
Comment 2 Michel Alexandre Salim 2012-05-08 10:05:14 EDT
*** Bug 577514 has been marked as a duplicate of this bug. ***
Comment 3 Ralph Bean 2012-05-10 10:47:11 EDT
I'll review this one.
Comment 4 Ralph Bean 2012-05-10 14:34:53 EDT
Before I do the full review, are you planning to support EPEL5?  If not, you'll need to remove the following line at the top of %install:

rm -rf $RPM_BUILD_ROOT
Comment 5 Michel Alexandre Salim 2012-05-11 00:07:56 EDT
Thanks -- someone needs to eventually file a bug against the RPM spec templates!

luarocks works fine on RHEL 5 (just tested it on the test machines), though for it (and on RHEL 6) the spec needs some changes; I've guarded those changes with %if 0%{?el5} and %if 0%{?rhel}.

http://salimma.fedorapeople.org/specs/funpl/luarocks-2.0.8-2.fc17.src.rpm
http://salimma.fedorapeople.org/specs/funpl/luarocks.spec
Comment 6 Ralph Bean 2012-05-11 09:10:09 EDT
Packaged is APPROVED


Issues (not a MUST):

[!]: SHOULD %check is present and all tests pass.

 - There is a test/run_tests.sh script, but I wasn't able to run it by hand.
   This would be good to include in %check if you can get it to work.
   That aside, I did verify that the installed program worked as expected.



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Licenses found: "*No copyright* UNKNOWN" For detailed output of
     licensecheck see file: /home/threebean/reviews/819844/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/threebean/reviews/819844/luarocks-2.0.8.tar.gz :
  MD5SUM this package     : 07cf84e352d86fe161f7b2ec43f360cc
  MD5SUM upstream package : 07cf84e352d86fe161f7b2ec43f360cc

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.
Comment 7 Michel Alexandre Salim 2012-05-11 11:08:32 EDT
Thanks! Will try and get the test suite working

New Package SCM Request
=======================
Package Name: luarocks
Short Description: A deployment and management system for Lua modules
Owners: salimma
Branches: el5 el6 f16 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-05-11 11:10:28 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-05-11 13:12:15 EDT
luarocks-2.0.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/luarocks-2.0.8-2.fc17
Comment 10 Fedora Update System 2012-05-11 13:12:46 EDT
luarocks-2.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/luarocks-2.0.8-2.el6
Comment 11 Fedora Update System 2012-05-11 13:12:55 EDT
luarocks-2.0.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/luarocks-2.0.8-2.el5
Comment 12 Fedora Update System 2012-05-11 13:13:04 EDT
luarocks-2.0.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/luarocks-2.0.8-2.fc16
Comment 13 Fedora Update System 2012-05-11 17:53:51 EDT
luarocks-2.0.8-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-05-20 19:55:12 EDT
luarocks-2.0.8-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-05-26 02:51:22 EDT
luarocks-2.0.8-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-05-28 13:59:05 EDT
luarocks-2.0.8-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 17 Fedora Update System 2012-05-28 14:00:56 EDT
luarocks-2.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.